<template>
  <div
    class="overflow-y-auto overscroll-contain bg-background2 auto-height-wrapper app__wrapper-container pb-24"
    @scroll="onScroll"
  >
    <banner-mobile
      :theme-properties="themeProperties"
      :actived="'GameInitial'"
      class="mobileBannerCarouselBfm1"
    />
    <game-entry v-if="themeColor.Text === 'bk8_green'" class="mGameEntry" />
    <new-black-theme-m-game-entry v-else class="mGameEntry" />
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { store } from "@/store";
export default defineComponent({
  name: "Game",
  setup() {
    const onScroll = (e: any) => {
      const stickySearchGameFilter = document.querySelector(
        ".stickySearchGameFilter"
      );
      const scrollVal = e.target.scrollTop;
      if (!stickySearchGameFilter) return;
      if (scrollVal >= 190) {
        const alreadyHasClass = stickySearchGameFilter.classList.contains(
          "fixedSearchGameFilter"
        );
        if (alreadyHasClass) return;
        stickySearchGameFilter.classList.add("fixedSearchGameFilter");
      } else if (scrollVal < 150) {
        stickySearchGameFilter.classList.remove("fixedSearchGameFilter");
      }
    };
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const { themeColor } = themePropertyHelper;
    const { isStyleTwo, isStyleThree } = useHeaderRender();
    const headerHeightRenderer = ref("52px");
    if (isStyleTwo) {
      headerHeightRenderer.value = "88px";
    }
    if (isStyleThree) {
      headerHeightRenderer.value = "48px";
    }
    return {
      onScroll,
      themeProperties,
      themeColor,
      headerHeightRenderer,
    };
  },
});
</script>

<style lang="scss" scoped>
.mGameEntry {
  :deep(.stickySearchGameFilter) {
    &.fixedSearchGameFilter {
      position: fixed;
      z-index: 21;
      top: v-bind(headerHeightRenderer);
      width: 100%;
      padding-bottom: 0.5rem;
    }
  }
  :deep(.el-loading-parent--relative) {
    .el-loading-mask {
      top: 20vh;
    }
  }
}
.auto-height-wrapper {
  @apply h-[calc(100vh-108px)];
}
[layout="playful"] .auto-height-wrapper {
  @apply h-[calc(100vh-65px)];
}
[layout="global"] .auto-height-wrapper {
  @apply h-[calc(100vh-148px)];
}
</style>